cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From gelo1234 <gelo1...@gmail.com>
Subject Re: Migrating cocoon 2.1 project to 2.2
Date Thu, 04 Oct 2018 12:34:03 GMT
Hello Senthilkumar,

I think we have the 2-factor based problem here.

1 is that you use Xalan instead of Saxon in your Pipeline (error log shows
xalan package info not saxon)

2. is that it might adhere to Saxon version that you use. Old Saxon had
many features that new Saxon does NOT have unless you buy a license :)
Checkout different Saxon versions: http://saxon.sourceforge.net/

Old Saxon had many very nice features that now are only available  in
Saxon_PE/EE e.g. Saxon extensions (Java xsl support, etc.).

I suppose tokenize was out for some reason and only available in PE/EE? But
I might be wrong. Just a suggestion to take into account while hitting
against the wall.
Tokenize was part of xslt2.0, not xslt1.0 which is default for xalan in
default Cocoon config.

Greetings,
Greg

Mime
View raw message